Subject: bug#77362: closed (Re: bug#77362: 30.1; isearch-forward in dired overshoots on `:' match attempt)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Apr 2025 07:24:03 +0000

Your bug report

#77362: 30.1; isearch-forward in dired overshoots on `:' match attempt

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77362: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77362
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77362: 30.1; isearch-forward in dired overshoots on `:' match attempt
From: Eli Zaretskii <[email-masked]>
To: Van Ly <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Apr 2025 10:23:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 29 Mar 2025 13:30:29 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> At the top of dired buffer, I have a line as follows,
> >> 
> >>   /tmp: (41 GiB available)
>          ^A                  ^B
> ^B
>     Char: C-j (10, #o12, #xa) point=8 of 914 (1%) column=26
> ^A
>     Char: : (58, #o72, #x3a, part of display ":"->": (41 GiB available)") point=7 of 914 (1%) column=6
> 
> > That's because we show a display property at the end.  Type "C-x =" or
> > "M-x describe-text-properties RET" to show them.
> >
> > I don't understand the complaint.  If the problem is that C-s
> > overshoots, then just go back one character with C-b, and you can copy
> > the directory name with M-w or whatever.
> >
> > I see no bug here.
> 
> A is at column 6.
> B is at column 26.
> 
> I was surprised by the one back move jump from column 26 to 6, and never
> thought to try.  I assumed it would take 18x back moves on the cursor to
> cover the stretch between the parens inclusive.
> 
> Well, it is what it is.

No more comments, so I'm now closing this bug.

Subject: 30.1; isearch-forward in dired overshoots on `:' match attempt
From: Van Ly <[email-masked]>
To: [email-masked]
Date: Sat, 29 Mar 2025 11:16:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

At the top of dired buffer, I have a line as follows,

  /tmp: (41 GiB available)

and I want to move the cursor to select the path `/tmp'.

The problem is isearch-forward for the next `:' from the position at the
left most occurrence of `/' overshoots to the end of line.

Steps to demonstrate,
 1. start,                                     emacs -Q
 2. goto directory,                            C-x d /tmp/
 3. goto beginning of dired buffer,            ESC <
    i.  move cursor to left most `/' position
    ii. activate mark                          C-SPC
 4. search forward to match `:',               C-s :

Intended unavailable effect, to move the cursor to the first occurence of `:'.

Unintended actual effect, the cursor moves to the end of line.

-- 
vl